#ifndef TWN_GAME_OBJECT_C_H
#define TWN_GAME_OBJECT_C_H

#include <stdbool.h>

/*
 * game object provides an interface for bridging between game code and engine.
 * for example, it might implement dynamic load libraries with hot reloading.
 */


void game_object_load(void);

void game_object_unload(void);

/* returns true if reload happened, otherwise false */
bool game_object_try_reloading(void);

void game_object_tick(void);

void *game_object_get_game_tick_address(void);

#endif
